PMSLEEP(1)

NAME
pmpause, pmsleep - portable subsecond-capable sleep

SYNOPSIS
$PCP_BINADM_DIR/pmpause [-w where]
$PCP_BINADM_DIR/pmsleep [-w where] interval

DESCRIPTION
pmpause sleeps indefinitely, until interrupted by SIGKILL.

pmsleep sleeps for the specified interval. The interval argument follows the syntax described in PCPIntro(1) for -t, and in the simplest form may be an unsigned integer or floating point constant (the implied units in this case are seconds).

The -w option is provided to allow annotation of scripts with multiple uses of pmpause and/or pmsleep to identify a particular use in the process's arguments, e.g. as visible to ps(1).

DIAGNOSTICS
The exit status is 0 for success, or 1 for a malformed command line. If the underlying nanosleep(2) system call fails, an errno is returned.

SEE ALSO
sleep(1), pause(2) and nanosleep(2).